Skip to main content
POST
/
partners
/
v2
/
verifications
curl --request POST \
  --url https://api-sandbox.argyle.com/partners/v2/verifications \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client": "019a91a4-646c-c82a-9a61-401910b67435",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "employments": [
    {
      "employer": "Starbucks",
      "status": "active",
      "hire_date": "2015-08-28",
      "termination_date": null
    }
  ],
  "report": {
    "type": "doc-voi-mortgage"
  },
  "loan": {
    "number": "1234",
    "borrower_id": "ABC789",
    "application_id": "2121313",
    "officer_email": "[email protected]"
  },
  "billing": {
    "cost_center": "5"
  }
}
'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "client": "019a91a4-646c-c82a-9a61-401910b67435",
  "created_at": "2023-03-09T16:22:06.081Z",
  "updated_at": "2023-03-09T16:22:06.081Z",
  "channel": "api",
  "status": {
    "state": "PENDING",
    "code": "pending",
    "errors": []
  },
  "report": {
    "id": null,
    "type": "doc-voi-mortgage",
    "file_url": null,
    "json_url": null
  },
  "employments": [
    {
      "employer": "Starbucks",
      "status": "active",
      "hire_date": "2015-08-28",
      "termination_date": null
    }
  ],
  "loan": {
    "number": "1234",
    "borrower_id": "ABC789",
    "application_id": "2121313",
    "officer_email": "[email protected]"
  },
  "billing": {
    "cost_center": "5"
  },
  "data_source": "documents"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Body

application/json

Request body for ordering a verification.

  • client and user are required for all partner verification requests.
  • For documents, include employments.
  • For banking, use report.type as one of voa, voi, voai, or voe-transactions.
client
string<uuid>
required

ID of the client on whose behalf the verification is requested.

user
string<uuid>
required

User ID for the verification.

report
object
required

Report request configuration.

employments
object[]

List of employments for the user. Documents only.

loan
object

Optional loan details.

billing
object

Optional billing details.

Response

200 - application/json

Partner verification object.

id
string<uuid>

Unique ID of the verification.

user
string<uuid>

ID of the user associated with the verification.

client
string<uuid>

ID of the client on whose behalf the verification is requested.

created_at
string<date-time>

Timestamp (ISO 8601) when the verification was requested.

updated_at
string<date-time>

Timestamp (ISO 8601) when the verification object was last updated.

channel
string

Origin of the verification order.

status
object

Verification status information.

report
object

Report information.

employments
object[]

List of employments for the user. Documents only.

loan
object

Optional loan details.

billing
object

Optional billing details.

data_source
enum<string>

Source of verification data.

Available options:
documents,
banking